﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;

public class TestCodes
{

    public DataSet GetDataSet()
    {
        DataSet ds = new DataSet();

        DataTable dt = new DataTable("Codes");
        DataColumn dc = null;

        dc = dt.Columns.Add("ID", System.Type.GetType("System.Int32"));
        dc.Unique = true;

        dc = dt.Columns.Add("CODE", System.Type.GetType("System.String"));

        for (int i = 1; i <= 9; i++)
        {
            dt.Rows.Add(i, i.ToString());
        }

        ds.Tables.Add(dt);
        return ds;
    }

    public DataSet SelectHistoryDataset(int parentId)
    {
        DataSet ds = new DataSet();

        DataTable dt = new DataTable("History");
        DataColumn dc = null;

        dc = dt.Columns.Add("AID", System.Type.GetType("System.Int32"));
        dc.Unique = true;

        dc = dt.Columns.Add("ID", System.Type.GetType("System.Int32"));

        dc = dt.Columns.Add("CODE", System.Type.GetType("System.String"));

        int value = 0;
        for (int i = 1; i <= 9; i++)
        {
            value = parentId * 10 + i;
            dt.Rows.Add(value, parentId, value.ToString());
        }

        ds.Tables.Add(dt);
        return ds;
    }

}
