﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Diagnostics;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    #region "Page"

	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);
		this.whdg1.DataSource = GetCodes();
	}

    private void Page_Error(object sender, System.EventArgs e)
    {
        string str = string.Empty;
    }



	#endregion

	#region "Grid Events"
	protected void whdg1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
	{
		if (isChild == false) {
			((ContainerGridRecord)e.Row).IsEmptyParent = true;
		}

	}


	protected void whdg1_RowIslandsPopulating(object sender, Infragistics.Web.UI.GridControls.ContainerRowCancelEventArgs e)
	{
		e.Cancel = true;

		ContainerGrid child = new ContainerGrid();
		child.InitializeRow += child_InitializeRow;

		e.Row.RowIslands.Add(child);

		int key = Convert.ToInt32(e.Row.DataKey[0]);

		TestCodes pc = new TestCodes();
		DataSet ds = pc.SelectHistoryDataset(key);

		child.DataSource = GetHistoryCodes(ds);
		child.DataBind();
	}

	#endregion

	#region "Child grid events"


	private bool isChild = false;
	private void child_InitializeRow(object sender, RowEventArgs e)
	{
		e.Row.Items[0].Column.Header.Text = "This is the changed Add";
		isChild = true;
	}
	#endregion

	#region "Data"

	private List<PaymentCode> GetCodes()
	{
		DataSet ds = null;
		TestCodes pc = new TestCodes();
		ds = pc.GetDataSet();

		List<PaymentCode> list = new List<PaymentCode>();

		PaymentCode c = default(PaymentCode);
		foreach (DataRow dr in ds.Tables[0].Rows) {
			c = new PaymentCode();
			c.ID = Convert.ToInt32(dr["ID"]);
			c.CODE = dr["CODE"].ToString();

			list.Add(c);
		}

		return list;
	}

	private List<HistoryCode> GetHistoryCodes(DataSet ds)
	{
		List<HistoryCode> list = new List<HistoryCode>();

		HistoryCode c = default(HistoryCode);
		foreach (DataRow dr in ds.Tables[0].Rows) {
			c = new HistoryCode();
			c.AID = Convert.ToInt32(dr["AID"]);
			c.ID = Convert.ToInt32(dr["ID"]);
			c.CODE = dr["CODE"].ToString();

			list.Add(c);
		}

		return list;
	}

	#endregion

}
